Subject: Re: bug#43704: 26.1: gpg error on passphrase typo

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 29 Sep 2020 16:41:31 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not sure whether there's any way for epa to know at this point
> whether the failure was due to a wrong password or something else, so
> I'm not sure a user-error would be appropriate.  Anybody know?

Duh.  The *error* window is right there:

----

Error while decrypting with "/usr/bin/gpg2":

gpg: AES256 encrypted data
gpg: encrypted with 1 passphrase
gpg: decryption failed: Bad session key

----

So I guess "Bad session key" is the clue here...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no